﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Common;
using HeuristicLab.Data;
using HeuristicLab.Core;

namespace HeuristicLab.Problems.MetaOptimization {
  public interface IRange<T> : IItem where T : class, IItem, IStringConvertibleValue, IDeepCloneable {
    T LowerBound { get; set; }
    T UpperBound { get; set; }
    T StepSize { get; set; }

    event EventHandler LowerBoundChanged;
    event EventHandler UpperBoundChanged;
    event EventHandler StepSizeChanged;
  }
}